# Server DNC: Log.Log Class Reference

Log.Log Class Reference

Log Manager. More...

Inheritance diagram for Log.Log:

## Public Member Functions

def | __init__ (self, directory)
| Define 3 differents utils : activity.log -> all activity warning.log -> only warning error.log -> error Write all message on terminal too. More...
def | printL (self, pMsg, pLvl)
| Add color and write in log with an define level. More...

## Public Attributes

| logger

## Detailed Description

Log Manager.

## Constructor & Destructor Documentation

def Log.Log.__init__ | ( |  | self,
|  |  | directory
| ) |  |

Define 3 differents utils : activity.log -> all activity warning.log -> only warning error.log -> error Write all message on terminal too.

## Member Function Documentation

def Log.Log.printL | ( |  | self,
|  |  | pMsg,
|  |  | pLvl
| ) |  |

Add color and write in log with an define level.

Parameters

  pMsg | message to write in log
  pLvl | level of log message

## Member Data Documentation

Log.Log.logger

The documentation for this class was generated from the following file:

- /home/sidya/PycharmProjects/DNC/serveur/Log.py